## python-watchfiles 0.21.0

=== Makefile ===
.DEFAULT_GOAL := all
isort = isort watchfiles tests
black = black watchfiles tests
ruff = ruff watchfiles tests

.PHONY: install
install:
	pip install -U pip pre-commit
	pip install -r requirements/all.txt
	pip install -e .
	pre-commit install

.PHONY: build-dev
build-dev:
	pip uninstall -y watchfiles
	@rm -f watchfiles/*.so
	cargo build
	@rm -f target/debug/lib_rust_notify.d
	@mv target/debug/lib_rust_notify.* watchfiles/_rust_notify.so

.PHONY: format
format:
	$(ruff) --fix-only
	$(isort)
	$(black)
	@echo 'max_width = 120' > .rustfmt.toml
	cargo fmt

.PHONY: lint-python
lint-python:
	$(ruff)
	$(isort) --check-only --df
	$(black) --check --diff

.PHONY: lint-rust
lint-rust:
	cargo fmt --version
	@echo 'max_width = 120' > .rustfmt.toml
	cargo fmt --all -- --check
	cargo clippy --version
	cargo clippy -- -D warnings

.PHONY: lint
lint: lint-python lint-rust

.PHONY: mypy
mypy:
	mypy watchfiles

.PHONY: test
test:
	coverage run -m pytest

.PHONY: testcov
testcov: test
	@echo "building coverage html"
	@coverage html

.PHONY: docs
docs:
	rm -f watchfiles/*.so
	mkdocs build

.PHONY: all
all: lint mypy testcov docs

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*.so' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f tests/__init__.py
	rm -rf .cache
	rm -rf htmlcov
	rm -rf .pytest_cache
	rm -rf .mypy_cache
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build

=== debian/changelog ===
python-watchfiles (0.21.0-4) unstable; urgency=medium

  * Team upload.
  * Added patch to fix autopkgtests fail in Python 3.12. (Closes: #1073409)

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 02 Jul 2024 12:30:00 -0000

python-watchfiles (0.21.0-3) unstable; urgency=medium

  * d/rules: disable test_ignore_permission_denied as it hangs on i386.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 01 Mar 2024 12:13:42 -0500

python-watchfiles (0.21.0-2) unstable; urgency=medium

  * d/patches/0001: relax dependencies instead of hardcoding a specific
    version.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 22 Jan 2024 14:45:30 -0500

python-watchfiles (0.21.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1028916)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 16 Jan 2024 00:27:12 -0500

=== debian/control ===
Source: python-watchfiles
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               python3-all,
               pybuild-plugin-pyproject,
               python3-maturin,
               python3-anyio,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-dirty-equals <!nocheck>,
               python3-docutils <!nodoc>,
               librust-crossbeam-channel-dev,
               librust-notify-dev,
               librust-pyo3-dev,
               cargo,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchfiles.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchfiles
Homepage: https://github.com/samuelcolvin/watchfiles
Testsuite: autopkgtest-pkg-pybuild

Package: python3-watchfiles
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Simple, modern and high performance file watching in Python
 Simple, modern and high performance file watching and code reload in Python.
 Underlying file system notifications are handled by the Notify Rust library.
 .
 This package is the reincarnation of a previous project named "watchgod".

## python-watchfiles 0.24.0

=== debian/changelog ===
python-watchfiles (0.24.0-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 22:04:26 +0000

python-watchfiles (0.24.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:35:59 +0000

python-watchfiles (0.24.0-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 18 Nov 2024 15:37:27 +0000

python-watchfiles (0.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.24.0.
  * Update 0001-Cargo-versions.patch to fit new upstream version.

 -- Yogeswaran Umasankar <yogu@debian.org>  Thu, 31 Oct 2024 02:22:54 +0000

python-watchfiles (0.23.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.23.0. (Closes: #1078384)
  * Remove 0002-fix-autopkgtests-py312.patch and update
    0002-fix-autopkgtests-py312.patch to fit new upstream version.
  * d/control: bump Standards-Version to 4.7.0.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 18 Aug 2024 16:30:00 -0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                librust-notify-dev,
                librust-pyo3-dev,
                cargo,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchfiles.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchfiles
 Homepage: https://github.com/samuelcolvin/watchfiles

## python-watchfiles 1.1.0

=== debian/changelog ===
python-watchfiles (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:51:13 +0100

python-watchfiles (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Update PyO3 to 0.25.1 (closes: #1114338).
  * Use dh-sequence-python3.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Sep 2025 12:10:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                pybuild-plugin-pyproject,
                python3-maturin,
@@ -16,9 +17,9 @@
                python3-docutils <!nodoc>,
                librust-crossbeam-channel-dev,
                librust-notify-dev,
-               librust-pyo3-dev,
+               librust-pyo3-dev (>= 0.25.1),
                cargo,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchfiles.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchfiles
 Homepage: https://github.com/samuelcolvin/watchfiles

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

# See https://github.com/samuelcolvin/watchfiles/issues/254
# https://github.com/samuelcolvin/watchfiles/issues/262
export PYBUILD_TEST_ARGS=-k 'not test_awatch_interrupt_raise and not test_ignore_permission_denied'
export PYBUILD_NAME=watchfiles

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock

execute_before_dh_auto_build:
	# Upstream doesn't set the version number...
	sed -i 's/0.0.0/$(DEB_VERSION_UPSTREAM)/' Cargo.toml

override_dh_installman:
	mkdir debian/tmp
	rst2man debian/manpage.rst debian/tmp/watchfiles.1
	dh_installman debian/tmp/watchfiles.1

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/samuelcolvin/watchfiles \
refs/tags/v([\d\.]+)

## python-watchfiles 1.1.1

=== debian/changelog ===
python-watchfiles (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Allow building against PyO3 0.27.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 12 Nov 2025 11:00:14 +0000

python-watchfiles (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Oct 2025 22:32:34 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                python3-docutils <!nodoc>,
                librust-crossbeam-channel-dev,
                librust-notify-dev,
-               librust-pyo3-dev (>= 0.25.1),
+               librust-pyo3-dev (>= 0.26.0),
+               librust-pyo3-dev (<< 0.28.0),
                cargo,
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchfiles.git
